Subject: Re: [RFC PATCH] push: start warning upcoming default change for push.default

From: Matthieu Moy <[email-masked]>
Date: Thu, 15 Mar 2012 09:02:30 +0100

Holger Hellmuth <[email-masked]> writes:

> So today I tried to create a
> bidirectional link between a local and a remote branch using only
> porcelain commands (i.e. without using git config directly). Somehow I
> didn't succeed. I can either use git checkout --track or git push -u
> to make a pull connection between the two, but to automatically push I
> would have to create a branch of the same name (and know that this is
> the magical ingredient that makes it work!)

In this particular case, having 'push.default=upstream' would have done
it for you: your "push -u" would have set up the upstream, and the next
"push" would have followed it.

(or you could "git push remote local-branch:remote-branch")

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/